%define ver_major 0.4

Name: revelation
Version: %ver_major.3
Release: alt1

Summary: Keyring management program for the GNOME Desktop
License: GPL
Group: Graphical desktop/GNOME
Url: http://oss.codepoet.no/%name

Source: %url/%name-%version.tar.bz2

%define GConf_ver 2.10.0
%define shared_mime_info_ver 0.15
%define desktop_file_utils_ver 0.8

PreReq: GConf2 >= %GConf_ver
Requires(post,postun): shared-mime-info >= %shared_mime_info_ver
Requires(post,postun): desktop-file-utils >= %desktop_file_utils_ver

BuildPreReq: menu-devel
BuildPreReq: shared-mime-info >= %shared_mime_info_ver
BuildPreReq: desktop-file-utils >= %desktop_file_utils_ver

# Automatically added by buildreq on Wed Mar 23 2005 (-bi)
BuildRequires: GConf2 ORBit2-devel cracklib-devel cracklib-utils desktop-file-utils glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgnome-devel libgnome-keyring-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libxml2-devel menu-devel pkgconfig python-base python-dev python-module-Crypto python-module-pygnome-devel python-module-pygtk-devel python-modules-compiler python-modules-encodings shared-mime-info xorg-x11-devel

%description
This a keyring management program for the GNOME Desktop

%prep
%setup -q

%build
export PATH=%_sbindir:$PATH
%configure --disable-schemas-install \
	    --disable-desktop-update \
	    --disable-mime-update

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%__subst 's,%buildroot,,' %buildroot%python_sitelibdir/%name/config.py

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Office" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

# remove non-packaged files
%__rm -rf %buildroot/var

%find_lang --with-gnome %name

%post
%gconf2_install %name
%update_mimedb
%update_desktopdb
%update_menus

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_mimedb
%clean_desktopdb
%clean_menus

%files -f %name.lang
%_bindir/*
%python_sitelibdir/%name
%_datadir/applications/*
%_datadir/mime/packages/revelation.xml
%_datadir/%name
%_iconsdir/*/*/*/*.png
%_iconsdir/*/*/*/*.svg
%_menudir/*
%config %_sysconfdir/gconf/schemas/*

%changelog
* Fri Apr 01 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.4.3-alt1
- 0.4.3

* Wed Mar 23 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.4.2-alt1
- First build for Sisyphus.
